import "@fireenjin/mx";
import { FireEnjinTriggerInput } from "@fireenjin/sdk";
import { EventEmitter } from "../../../stencil-public-runtime";
import { Template } from "../../../sdk";
export declare class AppTemplate {
  editorEl: any;
  appTemplateEl: any;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  templateId: string;
  isLoading: boolean;
  renderedTemplateHtml: any;
  viewCode: boolean;
  template: Template;
  onSuccess(event: any): void;
  sync(template: Template): Promise<any>;
  openPdfPreview(): Promise<void>;
  componentDidLoad(): void;
  render(): any[];
}
